document-understanding
latest
false
- Primeros pasos
- Ejemplos de uso de Document Understanding™ Cloud API v1
- Licencia
- Solución de problemas
Guía de la API de Document Understanding
Última actualización 29 de abr. de 2026
Iniciar la operación de validación de la extracción
Este ejemplo se ha recortado para facilitar la lectura.
Consejo:
El ID del proyecto se obtiene de la respuesta recibida de la llamada Obtener Information del Proyecto.
curl -X 'POST' \
'https://{AutomationCloudURL}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/extractors/invoices/validation/start?api-version=1' \
-H 'accept: text/plain' \
-H 'Authorization: Bearer eyJhb***Qu-qA' \
-H 'Content-Type: application/json' \
-d '{
"documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
"actionTitle": "Title of the action in action center",
"actionPriority": "Low",
"actionCatalog": "default_du_actions",
"actionFolder": "Shared",
"storageBucketName": "du_storage_bucket",
"storageBucketDirectoryPath": "du_storage_bucket",
"extractionResult": {
"documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
"resultsVersion": 0,
"resultsDocument": {
"bounds": {
"startPage": 0,
"pageCount": 1,
"textStartIndex": 0,
"textLength": 929
},
"language": "eng",
"documentGroup": "",
"documentCategory": "",
"documentTypeId": "invoices",
"documentTypeName": "Invoices",
"documentTypeDataVersion": 0,
"dataVersion": 0,
"documentTypeSource": "Automatic",
"documentTypeField": {
"components": [],
"value": "Invoices",
"unformattedValue": "",
"reference": {
"textStartIndex": 0,
"textLength": 0,
"tokens": []
},
"derivedFields": [],
"confidence": 1,
"operatorConfirmed": false,
"ocrConfidence": -1,
"textType": "Unknown"
},
"fields": [
{
"fieldId": "payment-terms",
"fieldName": "Payment Terms",
"fieldType": "Text",
"isMissing": false,
"dataSource": "Automatic",
"values": [
{
"components": [],
"value": "Net 30 Days",
"unformattedValue": "Net 30 Days",
"reference": {
"textStartIndex": 423,
"textLength": 11,
"tokens": [
{
"textStartIndex": 423,
"textLength": 3,
"page": 0,
"pageWidth": 1978,
"pageHeight": 2560,
"boxes": [
[
902,
1501,
50,
26
]
]
},
{
"textStartIndex": 427,
"textLength": 2,
"page": 0,
"pageWidth": 1978,
"pageHeight": 2560,
"boxes": [
[
901,
1555,
35,
27
]
]
},
{
"textStartIndex": 430,
"textLength": 4,
"page": 0,
"pageWidth": 1978,
"pageHeight": 2560,
"boxes": [
[
901,
1597,
70,
33
]
]
}
]
},
"derivedFields": [],
"confidence": 0.97757864,
"operatorConfirmed": false,
"ocrConfidence": 1,
"textType": "Text"
}
],
"dataVersion": 0,
"operatorConfirmed": false
},
},
],
"tables": [
{
"fieldId": "items",
"fieldName": "items",
"isMissing": false,
"dataSource": "Automatic",
"dataVersion": 0,
"operatorConfirmed": false,
"values": [
{
"operatorConfirmed": false,
"confidence": 0.8858047,
"ocrConfidence": -1,
"cells": [
{
"rowIndex": 1,
"columnIndex": 6,
"isHeader": false,
"isMissing": true,
"operatorConfirmed": false,
"dataSource": "Automatic",
"dataVersion": 0,
"values": null
}
],
"columnInfo": [
{
"fieldId": "line-no",
"fieldName": "Line Number",
"fieldType": "Text"
},
{
"fieldId": "part-no",
"fieldName": "Part Number",
"fieldType": "Text"
}
],
"numberOfRows": 2
}
]
}
]
},
"extractorPayloads": null,
"businessRulesResults": null
}
}'
curl -X 'POST' \
'https://{AutomationCloudURL}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/extractors/invoices/validation/start?api-version=1' \
-H 'accept: text/plain' \
-H 'Authorization: Bearer eyJhb***Qu-qA' \
-H 'Content-Type: application/json' \
-d '{
"documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
"actionTitle": "Title of the action in action center",
"actionPriority": "Low",
"actionCatalog": "default_du_actions",
"actionFolder": "Shared",
"storageBucketName": "du_storage_bucket",
"storageBucketDirectoryPath": "du_storage_bucket",
"extractionResult": {
"documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
"resultsVersion": 0,
"resultsDocument": {
"bounds": {
"startPage": 0,
"pageCount": 1,
"textStartIndex": 0,
"textLength": 929
},
"language": "eng",
"documentGroup": "",
"documentCategory": "",
"documentTypeId": "invoices",
"documentTypeName": "Invoices",
"documentTypeDataVersion": 0,
"dataVersion": 0,
"documentTypeSource": "Automatic",
"documentTypeField": {
"components": [],
"value": "Invoices",
"unformattedValue": "",
"reference": {
"textStartIndex": 0,
"textLength": 0,
"tokens": []
},
"derivedFields": [],
"confidence": 1,
"operatorConfirmed": false,
"ocrConfidence": -1,
"textType": "Unknown"
},
"fields": [
{
"fieldId": "payment-terms",
"fieldName": "Payment Terms",
"fieldType": "Text",
"isMissing": false,
"dataSource": "Automatic",
"values": [
{
"components": [],
"value": "Net 30 Days",
"unformattedValue": "Net 30 Days",
"reference": {
"textStartIndex": 423,
"textLength": 11,
"tokens": [
{
"textStartIndex": 423,
"textLength": 3,
"page": 0,
"pageWidth": 1978,
"pageHeight": 2560,
"boxes": [
[
902,
1501,
50,
26
]
]
},
{
"textStartIndex": 427,
"textLength": 2,
"page": 0,
"pageWidth": 1978,
"pageHeight": 2560,
"boxes": [
[
901,
1555,
35,
27
]
]
},
{
"textStartIndex": 430,
"textLength": 4,
"page": 0,
"pageWidth": 1978,
"pageHeight": 2560,
"boxes": [
[
901,
1597,
70,
33
]
]
}
]
},
"derivedFields": [],
"confidence": 0.97757864,
"operatorConfirmed": false,
"ocrConfidence": 1,
"textType": "Text"
}
],
"dataVersion": 0,
"operatorConfirmed": false
},
},
],
"tables": [
{
"fieldId": "items",
"fieldName": "items",
"isMissing": false,
"dataSource": "Automatic",
"dataVersion": 0,
"operatorConfirmed": false,
"values": [
{
"operatorConfirmed": false,
"confidence": 0.8858047,
"ocrConfidence": -1,
"cells": [
{
"rowIndex": 1,
"columnIndex": 6,
"isHeader": false,
"isMissing": true,
"operatorConfirmed": false,
"dataSource": "Automatic",
"dataVersion": 0,
"values": null
}
],
"columnInfo": [
{
"fieldId": "line-no",
"fieldName": "Line Number",
"fieldType": "Text"
},
{
"fieldId": "part-no",
"fieldName": "Part Number",
"fieldType": "Text"
}
],
"numberOfRows": 2
}
]
}
]
},
"extractorPayloads": null,
"businessRulesResults": null
}
}'
Respuesta de la operación de validación de extracción: proporciona el IDDeLaOperación para la operación de validación de extracción
{ "operationId": "96e28609-d7e8-ed11-907c-6045bd9d17d0" }
{ "operationId": "96e28609-d7e8-ed11-907c-6045bd9d17d0" }
Obtener el resultado de validación de la extracción
curl -X 'GET' \ 'https://{AutomationCloudURL}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/extractors/invoices/validation/result/96e28609-d7e8-ed11-907c-6045bd9d17d0?api-version=1' \
-H 'accept: text/plain' \
-H 'Authorization: Bearer eyJhb***yAQu-qA'
curl -X 'GET' \ 'https://{AutomationCloudURL}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/extractors/invoices/validation/result/96e28609-d7e8-ed11-907c-6045bd9d17d0?api-version=1' \
-H 'accept: text/plain' \
-H 'Authorization: Bearer eyJhb***yAQu-qA'
Obtener la respuesta del resultado de validación de la extracción
La acción debe validarse manualmente mediante Action Center.
{
"result": {
"actionData": {
"type": "Validation",
"id": 54122,
"status": "Completed",
"title": "Title of the action in action center",
"priority": "Low",
"taskCatalogName": "default_du_actions",
"taskUrl": "https://{AutomationCloudURL}/95baf7a2-59c4-4438-93bb-55967f104904/cf7ae654-02bd-412b-b0cd-a2738b31a9c3/actions_/tasks/54122",
"folderPath": "Shared",
"folderId": 57146,
"data": {
"validatedExtractionResultsPath": "du_storage_bucket/96e28609-d7e8-ed11-907c-6045bd9d17d0/output_results.zip",
"documentRejectionDetails": null
},
"action": "Completed",
"isDeleted": false,
"assignedToUser": {
"id": 26109,
"emailAddress": null
},
"creatorUser": {
"id": 6216,
"emailAddress": null
},
"deleterUser": null,
"lastModifierUser": {
"id": 26109,
"emailAddress": null
},
"completedByUser": {
"id": 26109,
"emailAddress": null
},
"creationTime": "2023-05-02T10:49:41.737Z",
"lastAssignedTime": "2023-05-02T10:54:28.377Z",
"completionTime": "2023-05-02T10:54:36.413Z"
},
"validatedExtractionResults": {
"documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
"resultsVersion": 1,
"resultsDocument": {
"bounds": {
"startPage": 0,
"pageCount": 1,
"textStartIndex": 0,
"textLength": 929
},
"language": "eng",
"documentGroup": "",
"documentCategory": "",
"documentTypeId": "invoices",
"documentTypeName": "Invoices",
"documentTypeDataVersion": 0,
"dataVersion": 1,
"documentTypeSource": "Automatic",
"documentTypeField": {
"components": [],
"value": "Invoices",
"unformattedValue": "",
"reference": {
"textStartIndex": 0,
"textLength": 0,
"tokens": []
},
"derivedFields": [],
"confidence": 1,
"operatorConfirmed": true,
"ocrConfidence": 1,
"textType": "Unknown"
},
"fields": [
{
"fieldId": "invoice-no",
"fieldName": "Invoice Number",
"fieldType": "Text",
"isMissing": false,
"dataSource": "Automatic",
"values": [
{
"components": [],
"value": "181038",
"unformattedValue": "181038",
"reference": {
"textStartIndex": 155,
"textLength": 6,
"tokens": [
{
"textStartIndex": 155,
"textLength": 6,
"page": 0,
"pageWidth": 1978,
"pageHeight": 2560,
"boxes": [
[
220,
1609,
118,
30
]
]
}
]
},
"derivedFields": [],
"confidence": 1,
"operatorConfirmed": true,
"ocrConfidence": 1,
"textType": "Text"
}
],
"dataVersion": 0,
"operatorConfirmed": true
},
{
"fieldId": "bank-addr",
"fieldName": "Bank Address",
"fieldType": "Text",
"isMissing": true,
"dataSource": "Automatic",
"values": [],
"dataVersion": 0,
"operatorConfirmed": true
},
{
"fieldId": "bank-routing-no",
"fieldName": "Bank Routing Number",
"fieldType": "Text",
"isMissing": true,
"dataSource": "Automatic",
"values": [],
"dataVersion": 0,
"operatorConfirmed": true
},
{
"fieldId": "tax-rate",
"fieldName": "Tax Rate",
"fieldType": "Number",
"isMissing": true,
"dataSource": "Automatic",
"values": [],
"dataVersion": 0,
"operatorConfirmed": true
},
{
"fieldId": "items",
"fieldName": "items",
"fieldType": "Table",
"isMissing": true,
"dataSource": "Manual",
"values": [],
"dataVersion": 1,
"operatorConfirmed": true
}
],
"tables": null
},
"extractorPayloads": null,
"businessRulesResults": null
},
"actionStatus": "Completed"
},
"status": "Succeeded",
"createdAt": "2023-05-02T10:49:40.3823473Z",
"lastUpdatedAt": "2023-05-02T10:54:41.0573114Z"
}
{
"result": {
"actionData": {
"type": "Validation",
"id": 54122,
"status": "Completed",
"title": "Title of the action in action center",
"priority": "Low",
"taskCatalogName": "default_du_actions",
"taskUrl": "https://{AutomationCloudURL}/95baf7a2-59c4-4438-93bb-55967f104904/cf7ae654-02bd-412b-b0cd-a2738b31a9c3/actions_/tasks/54122",
"folderPath": "Shared",
"folderId": 57146,
"data": {
"validatedExtractionResultsPath": "du_storage_bucket/96e28609-d7e8-ed11-907c-6045bd9d17d0/output_results.zip",
"documentRejectionDetails": null
},
"action": "Completed",
"isDeleted": false,
"assignedToUser": {
"id": 26109,
"emailAddress": null
},
"creatorUser": {
"id": 6216,
"emailAddress": null
},
"deleterUser": null,
"lastModifierUser": {
"id": 26109,
"emailAddress": null
},
"completedByUser": {
"id": 26109,
"emailAddress": null
},
"creationTime": "2023-05-02T10:49:41.737Z",
"lastAssignedTime": "2023-05-02T10:54:28.377Z",
"completionTime": "2023-05-02T10:54:36.413Z"
},
"validatedExtractionResults": {
"documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
"resultsVersion": 1,
"resultsDocument": {
"bounds": {
"startPage": 0,
"pageCount": 1,
"textStartIndex": 0,
"textLength": 929
},
"language": "eng",
"documentGroup": "",
"documentCategory": "",
"documentTypeId": "invoices",
"documentTypeName": "Invoices",
"documentTypeDataVersion": 0,
"dataVersion": 1,
"documentTypeSource": "Automatic",
"documentTypeField": {
"components": [],
"value": "Invoices",
"unformattedValue": "",
"reference": {
"textStartIndex": 0,
"textLength": 0,
"tokens": []
},
"derivedFields": [],
"confidence": 1,
"operatorConfirmed": true,
"ocrConfidence": 1,
"textType": "Unknown"
},
"fields": [
{
"fieldId": "invoice-no",
"fieldName": "Invoice Number",
"fieldType": "Text",
"isMissing": false,
"dataSource": "Automatic",
"values": [
{
"components": [],
"value": "181038",
"unformattedValue": "181038",
"reference": {
"textStartIndex": 155,
"textLength": 6,
"tokens": [
{
"textStartIndex": 155,
"textLength": 6,
"page": 0,
"pageWidth": 1978,
"pageHeight": 2560,
"boxes": [
[
220,
1609,
118,
30
]
]
}
]
},
"derivedFields": [],
"confidence": 1,
"operatorConfirmed": true,
"ocrConfidence": 1,
"textType": "Text"
}
],
"dataVersion": 0,
"operatorConfirmed": true
},
{
"fieldId": "bank-addr",
"fieldName": "Bank Address",
"fieldType": "Text",
"isMissing": true,
"dataSource": "Automatic",
"values": [],
"dataVersion": 0,
"operatorConfirmed": true
},
{
"fieldId": "bank-routing-no",
"fieldName": "Bank Routing Number",
"fieldType": "Text",
"isMissing": true,
"dataSource": "Automatic",
"values": [],
"dataVersion": 0,
"operatorConfirmed": true
},
{
"fieldId": "tax-rate",
"fieldName": "Tax Rate",
"fieldType": "Number",
"isMissing": true,
"dataSource": "Automatic",
"values": [],
"dataVersion": 0,
"operatorConfirmed": true
},
{
"fieldId": "items",
"fieldName": "items",
"fieldType": "Table",
"isMissing": true,
"dataSource": "Manual",
"values": [],
"dataVersion": 1,
"operatorConfirmed": true
}
],
"tables": null
},
"extractorPayloads": null,
"businessRulesResults": null
},
"actionStatus": "Completed"
},
"status": "Succeeded",
"createdAt": "2023-05-02T10:49:40.3823473Z",
"lastUpdatedAt": "2023-05-02T10:54:41.0573114Z"
}
- Iniciar la operación de validación de la extracción
- Respuesta de la operación de validación de extracción: proporciona el IDDeLaOperación para la operación de validación de extracción
- Obtener el resultado de validación de la extracción
- Obtener la respuesta del resultado de validación de la extracción